Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeCollection Class Reference

`#include <vtkVolumeCollection.h>`

Inheritance diagram for vtkVolumeCollection:

[legend]
Collaboration diagram for vtkVolumeCollection:

[legend]
List of all members.

## Detailed Description

a list of volumes

Date:
  2002/08/28 19:01:17

Revision:
  1.40

vtkVolumeCollection represents and provides methods to manipulate a list of volumes (i.e., vtkVolume and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkCollection vtkVolume

Created by:
  - Hoffman, Bill
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (43%)
  - Avila, Lisa (24%)
  - Hoffman, Bill (17%)
  - Cedilnik, Andy (6%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeCollection.h)`
  - .`cxx` (`/Rendering/vtkVolumeCollection.cxx)`

Definition at line 52 of file vtkVolumeCollection.h.

## Public Types
typedef vtkPropCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkVolume * | GetNextItem ()
void | AddItem (vtkVolume *a)
vtkVolume * | GetNextVolume ()
## Static Public Methods
vtkVolumeCollection * | New ()
int | IsTypeOf (const char *type)
vtkVolumeCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeCollection ()
| ~vtkVolumeCollection ()

## Member Typedef Documentation

typedef vtkPropCollection vtkVolumeCollection::Superclass

| Reimplemented from vtkPropCollection. Definition at line 56 of file vtkVolumeCollection.h.

## Constructor & Destructor Documentation

vtkVolumeCollection::vtkVolumeCollection | ( |  | ) | `[inline, protected]`

| Definition at line 78 of file vtkVolumeCollection.h.

vtkVolumeCollection::~vtkVolumeCollection | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkVolumeCollection.h.

## Member Function Documentation

vtkVolumeCollection* vtkVolumeCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkPropCollection.

virtual const char* vtkVolumeCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPropCollection.

int vtkVolumeCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

virtual int vtkVolumeCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

vtkVolumeCollection* vtkVolumeCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPropCollection.

virtual void vtkVolumeCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkVolumeCollection::AddItem | ( | vtkVolume * | a | ) | `[inline]`

| Add a Volume to the list. Definition at line 61 of file vtkVolumeCollection.h. References vtkCollection::AddItem().

vtkVolume* vtkVolumeCollection::GetNextVolume | ( |  | ) | `[inline]`

| Get the next Volume in the list. Return NULL when at the end of the list. Definition at line 68 of file vtkVolumeCollection.h. References vtkCollection::GetNextItemAsObject().

vtkVolume* vtkVolumeCollection::GetNextItem | ( |  | ) | `[inline]`

| Access routine provided for compatibility with previous versions of VTK. Please use the GetNextVolume() variant where possible. Definition at line 75 of file vtkVolumeCollection.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeCollection.h